"""User Objects

Revision ID: 60575b14d236
Revises: 94310834c62d
Create Date: 2023-03-09 15:00:01.373932

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '60575b14d236'
down_revision = '94310834c62d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('project_variable',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('value', sa.PickleType(), nullable=False),
    sa.Column('project_id', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('file_path', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column("project_variable", sa.Column('type', sa.Enum('string', 'longstring', 'integer', 'float', 'password', 'enum', 'file', 'directory', 'table', 'boolean', 'bytes', name='action_io_type', create_type = False), nullable=False))
    op.add_column('workflow_action_addons_input', sa.Column('project_variable_id', sa.String(), nullable=True))
    op.create_foreign_key(None, 'workflow_action_addons_input', 'project_variable', ['project_variable_id'], ['id'], ondelete='SET NULL')
    op.add_column('workflow_action_input', sa.Column('project_variable_id', sa.String(), nullable=True))
    op.create_foreign_key(None, 'workflow_action_input', 'project_variable', ['project_variable_id'], ['id'], ondelete='SET NULL')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'workflow_action_input', type_='foreignkey')
    op.drop_column('workflow_action_input', 'project_variable_id')
    op.drop_constraint(None, 'workflow_action_addons_input', type_='foreignkey')
    op.drop_column('workflow_action_addons_input', 'project_variable_id')
    op.drop_table('project_variable')
    # ### end Alembic commands ###
